package github.benjamin.equipreservebackend.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@TableName("approvals")
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Approval {

    private Long id;
    private Long reservationId;
    private Integer step;
    private Long approverId;
    private Integer decision;
    private LocalDateTime timeStamp;

}
