package github.benjamin.equipreservebackend.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.time.LocalDate;

@Data
public class LeaderApprovalVO {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long approvalId;
    private String applicantName;
    private String applicantTeam;
    private String applicantContact;
    private String deviceName;
    private LocalDate startTime;
    private LocalDate endTime;
    private Integer decision;

}
