package github.benjamin.equipreservebackend.vo;

import github.benjamin.equipreservebackend.entity.Team;
import github.benjamin.equipreservebackend.entity.User;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserVO {

    private String username;
    private String team;
    private String name;
    private String phone;

    public UserVO(User u, Team t) {
        this.username = u.getUsername();
        this.name = u.getName();
        this.phone = u.getPhone();
        this.team = t.getName();
    }
}
