package github.benjamin.equipreservebackend.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import github.benjamin.equipreservebackend.entity.Approval;
import github.benjamin.equipreservebackend.vo.LeaderApprovalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface ApprovalMapper extends BaseMapper<Approval> {

    IPage<LeaderApprovalVO> getLeaderApproval(Page<?> page,
                                              @Param("approverId") Long approverId,
                                              @Param("applicantName") String applicantName,
                                              @Param("deviceName") String deviceName);

}
